General Leads
Update general lead RenovationFind type
POST
/
general-leads
/
{generalLeadId}
/
general-lead-type
Update general lead RenovationFind type
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/general-lead-type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"renofindLeadType": "<string>"
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/general-lead-type"
payload = { "renofindLeadType": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({renofindLeadType: '<string>'})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/general-lead-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"jobDescription": "<string>",
"jobAmount": 123,
"paidAmount": 123,
"detailedProjectDescription": "<string>",
"generalLeadStatus": "<string>",
"specificLeadStatus": "<string>",
"leadSourceType": "<string>",
"assignedVendorId": 123,
"assignedVendorName": "<string>",
"referrerVendorId": 123,
"referrerVendorName": "<string>",
"postalCode": "<string>",
"city": "<string>",
"serviceBoundary": {
"id": 123,
"name": "<string>",
"urlPath": "<string>",
"cityName": "<string>"
},
"contactTime": "<string>",
"contactMethod": "<string>",
"leadTimeframe": "<string>",
"quoteTimeframe": "<string>",
"projectStage": "<string>",
"renofindLeadType": "<string>",
"jobBudget": 123,
"paymentStatus": "<string>",
"phoneLead": true,
"externalNotes": "<string>",
"essentialInternalNotes": "<string>",
"requiresAction": true,
"requireActionReason": "<string>",
"endCustomer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"message": "<string>"
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Body
application/json
⌘I
Update general lead RenovationFind type

